import { default as React } from 'react';
export default BaseLayer;
declare class BaseLayer extends React.Component<any, any, any> {
    constructor();
    loadJSON(url: any): any;
    create(): void;
    createLayer(json: any): void;
    showToolTip(content: any, data: any, color: any, event: any): void;
    moveToolTip(event: any): void;
    gRef: React.RefObject<any>;
    state: {
        json: null;
    };
    applyInitialTransform(): void;
    hiddenToolTip(event: any): void;
    componentDidMount(): void;
    render(): React.JSX.Element;
}
